libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- File List
- Globals

Typedefs | Enumerations | Functions
gphoto2-port-version.h File Reference

Go to the source code of this file.

## Typedefs

typedef const char **(* | GPVersionFunc )(GPVersionVerbosity verbose)

## Enumerations

enum | GPVersionVerbosity { GP_VERSION_SHORT = 0, GP_VERSION_VERBOSE = 1 }

## Functions

const char ** | gp_port_library_version (GPVersionVerbosity verbose)

## Detailed Description

Copyright © 2002 Hans Ulrich Niedermann <gp@n-dimensional.de>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.